Package groovy.lang

# Class Tuple0

java.lang.Object
java.util.AbstractCollection<E>
java.util.AbstractList<E>
groovy.lang.Tuple
groovy.lang.Tuple0

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Comparable`, `Iterable`, `Collection`, `List`, `RandomAccess`

public final class Tuple0 extends Tuple
Represents a list of 0 typed Object.

Since:
  3.0.0
See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final Tuple0`
  `INSTANCE`
  Shared empty tuple instance.

  ### Fields inherited from class java.util.AbstractList

  `modCount`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Tuple0`
  `clone()`
  Returns the shared empty tuple instance.

  ### Methods inherited from class groovy.lang.Tuple

  `compareTo, equals, get, hashCode, size, subList, subTuple, toArray, toArray, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple, tuple`

  ### Methods inherited from class java.util.AbstractList

  `add, add, addAll, clear, indexOf, iterator, lastIndexOf, listIterator, listIterator, remove, removeRange, set`

  ### Methods inherited from class java.util.AbstractCollection

  `addAll, contains, containsAll, isEmpty, remove, removeAll, retainAll, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Collection

  `parallelStream, removeIf, stream, toArray`

  ### Methods inherited from interface java.lang.Iterable

  `forEach`

  ### Methods inherited from interface java.util.List

  `addAll, contains, containsAll, isEmpty, remove, removeAll, replaceAll, retainAll, sort, spliterator`

- ## Field Details

  - ### INSTANCE

    public static final Tuple0 INSTANCE
    Shared empty tuple instance.

- ## Method Details

  - ### clone

    public Tuple0 clone()
    Returns the shared empty tuple instance.
    Overrides:
      `clone` in class `Tuple`
    Returns:
      `INSTANCE`